Bug 13400 - winbind_open_pipe_sock() leaks memory when the privileged pipe is not accessable
winbind_open_pipe_sock() leaks memory when the privileged pipe is not accessable
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.8.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-24 09:01 UTC by Stefan Metzmacher
Modified: 2018-05-07 07:21 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-8-test (1.06 KB, patch)
2018-05-02 08:39 UTC, Stefan Metzmacher
vl: review+
Details
Patch for v4-7-test (1.06 KB, patch)
2018-05-02 08:40 UTC, Stefan Metzmacher
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-04-24 09:01:56 UTC
.
Comment 1 Stefan Metzmacher 2018-05-02 08:39:54 UTC
Created attachment 14169 [details]
Patch for v4-8-test
Comment 2 Stefan Metzmacher 2018-05-02 08:40:44 UTC
Created attachment 14170 [details]
Patch for v4-7-test
Comment 3 Stefan Metzmacher 2018-05-02 09:28:42 UTC
Pushed to autobuild-v4-8-test
Comment 4 Karolin Seeger 2018-05-07 07:16:54 UTC
(In reply to Stefan Metzmacher from comment #3)
... and autobuild-v4-7-test obviously.
Comment 5 Karolin Seeger 2018-05-07 07:21:29 UTC
Pushed to to both branches.
Closing out bug report.

Thanks!